###############################################
###              tests_util                 ###
###############################################

cmake_minimum_required(VERSION 3.1.0)

project(tests_util)

file(GLOB_RECURSE SOURCE_FILES *.cpp)
file(GLOB_RECURSE HEADER_FILES *.h)

add_executable(${PROJECT_NAME} ${SOURCE_FILES} ${HEADER_FILES})

target_include_directories(${PROJECT_NAME} PUBLIC ${PROJECT_SOURCE_DIR})
set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER tests)
target_link_libraries(${PROJECT_NAME} 
	DRAMSys::util
	gtest_main
)

gtest_discover_tests(${PROJECT_NAME})

build_source_group()